Skala
Work order operations

Create a new work order operation

Adds a new work order operation record to the database.

POST
/api/work_order_operations

Adds a new work order operation record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new WorkOrderOperation resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/work_order_operations" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "operation": {
    "id": 0,
    "name": "string"
  },
  "resource": {
    "id": 0,
    "name": "string"
  },
  "plannedTime": "string",
  "cost": "string",
  "status": "string",
  "workOrder": {
    "id": 0,
    "code": "string",
    "stock": {
      "id": 0,
      "unit": {
        "id": 0,
        "name": "string"
      },
      "trackType": "string"
    },
    "variant": {
      "id": 0,
      "stock": {
        "id": 0,
        "unit": {
          "id": 0,
          "name": "string"
        },
        "trackType": "string"
      },
      "name": "string"
    },
    "plannedQuantity": "string",
    "description": "string",
    "status": "string",
    "materials": [
      {
        "id": 0,
        "variant": {
          "id": 0,
          "stock": {
            "id": 0,
            "unit": {
              "id": 0,
              "name": "string"
            },
            "trackType": "string"
          },
          "name": "string"
        }
      }
    ],
    "invoice": {
      "id": 0,
      "contact": {
        "id": 0,
        "name": "string"
      },
      "code": "string",
      "shipmentCode": "string",
      "shipmentLink": "string",
      "tags": "string"
    }
  },
  "isActive": true,
  "notes": "string",
  "dependencies": [
    {
      "id": 0,
      "name": "string"
    }
  ],
  "isLastOperation": true,
  "totalCost": "string",
  "plannedQuantity": 0,
  "actualQuantity": 0,
  "startDate": "string",
  "endDate": "string"
}
Empty
Empty